MalformedTemplateNameException (FreeMarker 2.3.23 API)
Date: 2015-07-05

freemarker.template

## Class MalformedTemplateNameException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - freemarker.template.MalformedTemplateNameException

- All Implemented Interfaces:
    Serializable

      public class MalformedTemplateNameException
      extends IOException

  Indicates that the template name given was malformed according the `TemplateNameFormat` in use. Note that for backward compatibility, `TemplateNameFormat.DEFAULT_2_3_0` doesn't throw this exception, `TemplateNameFormat.DEFAULT_2_4_0` does. This exception extends `IOException` for backward compatibility.
  Since:
    2.3.22
  See Also:
    `TemplateNotFoundException`, `Configuration.getTemplate(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MalformedTemplateNameException(String templateName, String malformednessDescription)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMalformednessDescription()`
    `String` | `getTemplateName()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MalformedTemplateNameException

          public MalformedTemplateNameException(String templateName,
                                                String malformednessDescription)

  - ### Method Detail

    - #### getTemplateName

          public String getTemplateName()

    - #### getMalformednessDescription

          public String getMalformednessDescription()